Subject: Re: bug#23013: 25.0.92; assertion failure on marker outside text range in echo area

From: Eli Zaretskii <[email-masked]>
Date: Wed, 16 Mar 2016 17:32:46 +0200

>     Emacs will promptly recreate the echo-area buffers if they are killed.
> 
> As I understand it, that'd be a new buffer, and the one pointed to by the marker would still be dead (name=nil), wouldn't it?

Probably.

> And as I said, the first time I wasn't killing a buffer. After extracting the recent keys from the earlier core file (we don't have a gdb macro for this??)

recent_keys is just a vector, what macro besides xvector do you need?

> I've confirmed I was switching to an existing shell command output buffer.

So in both cases you were inside or leaving the minibuffer, is that
right?  And the 'mini' flag of the window is set, so it was a
mini-window.

Anyway, do you have any explanation for why this started happening
now?  Did you switch from an older Emacs version, or changed something
in your local system configuration or in the way you invoke Emacs?
(I'm trying to establish whether this is an old problem, or something
that was caused by recent changes.)